> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location



## OpenAPI

````yaml get /admin/locations/{location_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/locations/{location_id}:
    get:
      tags:
        - provider
        - admin
      summary: Get Location
      description: Get a single location with its taxes.
      operationId: get_location_admin_locations__location_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_id
          in: path
          required: true
          schema:
            type: string
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LocationDetail:
      properties:
        id:
          type: string
          title: Id
        isVirtual:
          type: boolean
          title: Isvirtual
        name:
          type: string
          title: Name
        addressLineOne:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslineone
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        spakinectLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Spakinectlocationid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        photoUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Photourl
        reviewLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewlink
        timezone:
          type: string
          title: Timezone
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
        taxes:
          items:
            $ref: '#/components/schemas/TaxSummary'
          type: array
          title: Taxes
          default: []
      type: object
      required:
        - id
        - isVirtual
        - name
        - timezone
      title: LocationDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaxSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the tax
        name:
          type: string
          title: Name
          description: Name of the tax (e.g., 'Sales Tax', 'VAT')
        percentage:
          type: number
          title: Percentage
          description: Tax percentage (e.g., 8.25 for 8.25%)
        location_id:
          type: string
          title: Location Id
          description: Location this tax applies to
      type: object
      required:
        - id
        - name
        - percentage
        - location_id
      title: TaxSummary
      description: Basic tax information.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````